glab(1)

NAME
glab-cluster-agent-token-list - List tokens for a GitLab Agent for Kubernetes.

SYNOPSIS
glab cluster agent token list [flags]

DESCRIPTION
Lists all tokens for the specified agent. Requires the numeric agent ID.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # List tokens for agent 123
    glab cluster agent token list 123
    # List tokens in JSON format
    glab cluster agent token list 123 --output json

SEE ALSO
glab-cluster-agent-token(1)